<?php

	//nao me orgulho de nada daqui pra baixo
	$dir = $_SERVER['DOCUMENT_ROOT']."/".substr(substr($_SERVER['REQUEST_URI'], 1), 0, strpos(substr($_SERVER['REQUEST_URI'], 1), '/'))."/phone_gap";
	require_once($dir."/classes/Dados.class.php");
	require_once($dir."/classes/Usuario.class.php");

	$dados = new Dados();
	
	$vendedor = $_POST['vendedor'];
	
	$usuario = $dados->fixObject($_SESSION["usuario"]);
	if ($vendedor == "" ) {
		$vendedor = $usuario->getVendedor()->getCodVendedor();
	}
	
	$res = '';
	if($vendedor != "") {	
		$sql = 
			"select first 1 DATAHORA, ARQUIVO from VENDEDORES_RELS ".
			"where TIPO = 'BI'" . 
			$dados->filtroSQL('CODVENDEDOR', $vendedor);
		//devido a termos um BLOB estou fazendo a leitura dos dados de forma diferente
		
		$result = ibase_query($sql);	//$dados->SelectSQL($sql);
		$data = ibase_fetch_object($result);
	
		if ($data->DATAHORA == null ) return;

		//verifico se a data é igual a data atual
		if (Date('d/m/Y', strtotime($data->DATAHORA)) != Date('d/m/Y'))
			$res = "ERRO:DATA";		
		
		$blob_data = ibase_blob_info($data->ARQUIVO);		
		$blob_hndl = ibase_blob_open($data->ARQUIVO);
		$blob = ibase_blob_get($blob_hndl, $blob_data[0]);	
		$res = $res . base64_encode($blob);				
		$blob_hndl = ibase_blob_close($blob_hndl);
		
	} else
		$res = "ERRO:VENDEDOR";
	
	echo $res;
?>